ros-humble-moveit-ros-planning-interface (2.5.5-1bookworm) bookworm; urgency=high

  * 400% speed up to move group interface (#1865 <https://github.com/ros-planning/moveit2/issues/1865>) (#1867 <https://github.com/ros-planning/moveit2/issues/1867>)
    (cherry picked from commit 0642ef064df512566ffb171f5a889f4c7886110d)
    Co-authored-by: azalutsky <mailto:azalutsky@gmail.com>
  * Cleanup msg includes: Use C++ instead of C header (backport #1844 <https://github.com/ros-planning/moveit2/issues/1844>)
    * Cleanup msg includes: Use C++ instead of C header
    * Remove obsolete include: moveit_msgs/srv/execute_known_trajectory.hpp
  * Use <> for non-local headers (#1765 <https://github.com/ros-planning/moveit2/issues/1765>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
    (cherry picked from commit 7a1f2a101f9aeb8557e8a31656bbe1a6d53b430e)
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Chris Thrasher, Robert Haschke, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.5.4-1bookworm) bookworm; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Changed 'return false' in plan, move and execute such that MoveItErrorCode is returned (#1266 <https://github.com/ros-planning/moveit2/issues/1266>) (#1460 <https://github.com/ros-planning/moveit2/issues/1460>)
  * Fix callback execution in MGI (backport #1305 <https://github.com/ros-planning/moveit2/issues/1305>) (#1462 <https://github.com/ros-planning/moveit2/issues/1462>)
    The initial implementation with the private node allowed for concurrent spinning of the same node, producing runtime exceptions. This change removes the need for a private node by letting MGI manage its own CallbackGroup and Executor thread.
    (cherry picked from commit 042186aef33d9af6de4ccb17e79b0eaffdc7febb)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.5.3-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.5.2-1bookworm) bookworm; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/c88f6fb64e9057a4b9a8f6fafc01060e8c48a216
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Launch file cleanup (#1380 <https://github.com/ros-planning/moveit2/issues/1380>)
    * Launch file cleanup
    * Delete deprecated launch files
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Remove manipulation from moveit_ros (#1177 <https://github.com/ros-planning/moveit2/issues/1177>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Formatting (#3105 <https://github.com/ros-planning/moveit2/issues/3105>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit2/issues/3103>)
    http://wiki.ros.org/noetic/Migration#Setuptools_instead_of_Distutils
  * Contributors: Abishalini, AndyZe, David V. Lu, Henry Moore, Jafar, Michael Görner, Stephanie Eng, Vatan Aksoy Tezer, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.5.1-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.5.0-1bookworm) bookworm; urgency=high

  * move_group_interface: No need to spin after publishing (#1250 <https://github.com/ros-planning/moveit2/issues/1250>)
  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Fix deprecated namespace (#1228 <https://github.com/ros-planning/moveit2/issues/1228>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * RCLCPP Upgrade Bugfixes (#1181 <https://github.com/ros-planning/moveit2/issues/1181>)
  * Rename panda controllers
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * Enable rolling / jammy CI (again) (#1134 <https://github.com/ros-planning/moveit2/issues/1134>)
    * Use ros2_control binaries
    * Use output screen instead of explicitly stating stderr
  * Update black version, formatting changes (#1148 <https://github.com/ros-planning/moveit2/issues/1148>)
  * Merge https://github.com/ros-planning/moveit/commit/a25515b73d682df03ed3eccd839110c296aa79fc
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * Temporarily add galactic CI (#1107 <https://github.com/ros-planning/moveit2/issues/1107>)
    * Add galactic CI
    * Comment out rolling
    * panda_ros_controllers -> panda_ros2_controllers
    * Ignore flake8 tests
  * 1.1.9
  * 1.1.8
  * Add moveit_configs_utils package to simplify loading paramters (#591 <https://github.com/ros-planning/moveit2/issues/591>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * 1.1.7
  * Move MoveItErrorCode class to moveit_core (#3009 <https://github.com/ros-planning/moveit2/issues/3009>)
    ... reducing code duplication and facilitating re-use
  * Fix MoveGroupInterface uninitialized RobotState (#3008 <https://github.com/ros-planning/moveit2/issues/3008>)
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
    * boost::bind -> std::bind
    grep -rlI --exclude-dir=.git "boost::bind" | xargs sed -i 's/boost::bind/std::bind/g'
    * Convert bind placeholders
    grep -rlI --exclude-dir=.git " _[0-9]" | xargs sed -i 's/ _([0-9])/ std::placeholders::_1/g'
    * Update bind include header
    grep -rlI --exclude-dir=.git "boost/bind" | xargs sed -i 's#boost/bind.hpp#functional#'
  * 1.1.6
  * Merge PRs #2948 <https://github.com/ros-planning/moveit2/issues/2948> (improve CI) and #2949 <https://github.com/ros-planning/moveit2/issues/2949> (simplify ROS .test files)
  * Use test_environment.launch in unittests
  * Contributors: Abishalini, Captain Yoshi, David V. Lu!!, Henning Kayser, Jafar, Jafar Abdi, Jochen Sprickerhof, Robert Haschke, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer, jeoseo, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.4.0-1bookworm) bookworm; urgency=high

  * Fix boost linking errors for Windows (#957 <https://github.com/ros-planning/moveit2/issues/957>)
  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * MGI: add missing replan/look options to interface (#2892 <https://github.com/ros-planning/moveit2/issues/2892>)
    - reordered methods because looking requires replanning
    - there's no sense in wrapping methods in methods.
    just use pimpl-friend paradigm instead. Someone could
    rework all the other methods in the future.
  * PSI: get object.pose from new msg field (#2877 <https://github.com/ros-planning/moveit2/issues/2877>)
  * Contributors: Abishalini, Akash, Gauthier Hentz, Michael Görner, Robert Haschke, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Jan 2022 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.3.2-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Dec 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.3.1-1bookworm) bookworm; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Find/replace deprecated spawner.py (#737 <https://github.com/ros-planning/moveit2/issues/737>)
  * common_objects: getSharedRobotModelLoader fix deadlock (#734 <https://github.com/ros-planning/moveit2/issues/734>)
  * fix trajectory constraints for moveit commander (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * MGI::setStartState: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: AndyZe, Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Jafar Abdi, Kevin Chang, Robert Haschke, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Dec 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.3.0-1bookworm) bookworm; urgency=high

  * Support passing MoveGroup's namespace to MoveGroupInterface (#533 <https://github.com/ros-planning/moveit2/issues/533>)
  * Add getSharedRobotModelLoader to fix race condition when having multiple displays for the same node (#525 <https://github.com/ros-planning/moveit2/issues/525>)
  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
    * Add private buffer & tf listener to PSM
    * Remove coupled deleter
    * Decouple PSM from CSM
    * Deprecate old constructors
  * getInterfaceDescription: Fix rclcpp API breakage (#686 <https://github.com/ros-planning/moveit2/issues/686>)
  * [main] Migrate to joint_state_broadcaster (#657 <https://github.com/ros-planning/moveit2/issues/657>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Create a transform subscribers to enable virtual joints (#310 <https://github.com/ros-planning/moveit2/issues/310>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Contributors: Akash, Jafar Abdi, Nisala Kalupahana, Jorge Nicho, Henning Kayser, Vatan Aksoy Tezer, Tyler Weaver, Lior Lustgarten

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Oct 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.2.1-1bookworm) bookworm; urgency=high

  * Fix test dependencies (#539 <https://github.com/ros-planning/moveit2/issues/539>)
  * Contributors: Jochen Sprickerhof

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.2.0-1bookworm) bookworm; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * [sync] with MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
    * planning_interface: synchronize async interfaces in test (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
    * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
    * fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
    * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)Deprecate namespace moveit::planning_interface in favor of moveit_cpp
    
      * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
      * Add debugging log statement for a common error (#2509 <https://github.com/ros-planning/moveit/issues/2509>)
      * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
    
  * Contributors: Felix von Drigalski, Henning Kayser, JafarAbdi, Michael Görner, Peter Mitrano, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer, petkovich

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 29 Jun 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.1.4-1bookworm) bookworm; urgency=high

  * Disable flaky test (#482 <https://github.com/ros-planning/moveit2/issues/482>)
  * Delete MoveIt fake_controller_manager (#471 <https://github.com/ros-planning/moveit2/issues/471>)
  * Contributors: AndyZe, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 30 May 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.1.3-1bookworm) bookworm; urgency=high

  * Configure OMPL projection_evaluator in move_group_launch_test_common.py (#470 <https://github.com/ros-planning/moveit2/issues/470>)
  * Contributors: Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 May 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.1.2-1bookworm) bookworm; urgency=high

  * Re-enable test_servo_pose_tracking integration test (#423 <https://github.com/ros-planning/moveit2/issues/423>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Re-enable moveit_ros_warehouse for moveit_ros_planning_interface (#424 <https://github.com/ros-planning/moveit2/issues/424>)
    * Remove warehouse_ros_mongo from moveit_ros_planning_interface test depends
  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Jafar Abdi, Tyler Weaver, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 19 Apr 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.1.1-1bookworm) bookworm; urgency=high

  * Update launch files to use ros2 control spawner (#405 <https://github.com/ros-planning/moveit2/issues/405>)
  * Use fake_components::GenericSystem from ros2_control (#361 <https://github.com/ros-planning/moveit2/issues/361>)
  * Solved small issue with a message not being logged due to an early return statement (#368 <https://github.com/ros-planning/moveit2/issues/368>)
  * OMPL constrained planning (#347 <https://github.com/ros-planning/moveit2/issues/347>)
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * [fix] MGI server timeout, infinite duration by default (#349 <https://github.com/ros-planning/moveit2/issues/349>)
    By setting the default server timeout duration to -1, the MoveGroupInterface is ensured to be ready to use after construction.
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Fix scaling factor parameter names (#2452 <https://github.com/ros-planning/moveit2/issues/2452>)
  * MTC compatibility fixes (#323 <https://github.com/ros-planning/moveit2/issues/323>)
  * Fix node remapping
  * Make sure planning scene interface have a unique name for the internal node
  * planning_scene_interface: Fix node name being empty
  * Fix repo URLs in package.xml files
  * Contributors: Boston Cleek, FlorisE, Henning Kayser, Jafar Abdi, Shota Aoki, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.1.0-1bookworm) bookworm; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Compilation fixes for macOS (#271 <https://github.com/ros-planning/moveit2/issues/271>)
  * [ros2-migration] Port MoveGroupInterface and MotionPlanning display (#272 <https://github.com/ros-planning/moveit2/issues/272>)
  * Contributors: Henning Kayser, Jafar Abdi, Lior Lustgarten, Mark Moll, Yu Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 22 Nov 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (2.0.0-1bookworm) bookworm; urgency=high

  * [fix] Install moveit_cpp as SHARED library
  * [fix] Fix parameter lookup and runtime in MoveItCpp
  * [fix] Fix moveit_ros_visualization (#167 <https://github.com/ros-planning/moveit2/issues/167>)
  * [fix] moveit_ros_planning_interface: Fix libraries export
  * [port] Port moveit_cpp to ROS 2 (#163 <https://github.com/ros-planning/moveit2/issues/163>)
  * [port] Port common_planning_interface_objects to ROS 2 (#159 <https://github.com/ros-planning/moveit2/issues/159>)
  * [port] Port rdf_loader to ROS2 (#104 <https://github.com/ros-planning/moveit2/issues/104>)
  * Contributors: Henning Kayser, Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 16 Feb 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.1.1-1bookworm) bookworm; urgency=high

  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (ros-planning:moveit#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [fix] Make GILReleaser exception-safe (ros-planning:moveit#2363 <https://github.com/ros-planning/moveit/issues/2363>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (ros-planning:moveit#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * [maint] Replace panda_moveit_config -> moveit_resources_panda_moveit_config (ros-planning:moveit#2300 <https://github.com/ros-planning/moveit/issues/2300>)
  * Contributors: AndyZe, Bjar Ne, Felix von Drigalski, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Oct 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.1.0-1bookworm) bookworm; urgency=high

  * [feature] Use Eigen::Transform::linear() instead of rotation() (ros-planning:moveit#1964 <https://github.com/ros-planning/moveit/issues/1964>)
  * [feature] move_group pick place test (ros-planning:moveit#2031 <https://github.com/ros-planning/moveit/issues/2031>)
  * [feature] Check for grasp service - general cleanup MGI (ros-planning:moveit#2077 <https://github.com/ros-planning/moveit/issues/2077>)
  * [feature] Integration test to defend subframe tutorial (ros-planning:moveit#1757 <https://github.com/ros-planning/moveit/issues/1757>)
  * [feature] Release Python GIL for C++ calls (ros-planning:moveit#1947 <https://github.com/ros-planning/moveit/issues/1947>)
  * [feature] Add default velocity/acceleration scaling factors (ros-planning:moveit#1890 <https://github.com/ros-planning/moveit/issues/1890>)
  * [feature] Improve move_group_interface's const correctness (ros-planning:moveit#1715 <https://github.com/ros-planning/moveit/issues/1715>)
  * [feature] Add get_jacobian_matrix to moveit_commander (ros-planning:moveit#1501 <https://github.com/ros-planning/moveit/issues/1501>)
  * [feature] Add named frames to CollisionObjects (ros-planning:moveit#1439 <https://github.com/ros-planning/moveit/issues/1439>)
  * [feature] Added GILRelease to pick and place (ros-planning:moveit#2272 <https://github.com/ros-planning/moveit/issues/2272>)
  * [feature] Add missing variants of place from list of PlaceLocations and Poses in the python interface (ros-planning:moveit#2231 <https://github.com/ros-planning/moveit/issues/2231>)
  * [fix] Various fixes for upcoming Noetic release (ros-planning:moveit#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Resolve PSI lock-up in RViz display (ros-planning:moveit#1951 <https://github.com/ros-planning/moveit/issues/1951>)
  * [fix] Fix flaky moveit_cpp test (ros-planning:moveit#1781 <https://github.com/ros-planning/moveit/issues/1781>)
  * [fix] Fix compiler warnings (ros-planning:moveit#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Fix a parameter mix-up in moveit_cpp loading (ros-planning:moveit#2187 <https://github.com/ros-planning/moveit/issues/2187>)
  * [maint] Optional cpp version setting (ros-planning:moveit#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] update dependencies for python3 in noetic (ros-planning:moveit#2131 <https://github.com/ros-planning/moveit/issues/2131>)
  * [maint] clang-tidy fixes (ros-planning:moveit#2050 <https://github.com/ros-planning/moveit/issues/2050>, ros-planning:moveit#1586 <https://github.com/ros-planning/moveit/issues/1586>, ros-planning:moveit#1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix some clang tidy issues (ros-planning:moveit#2004 <https://github.com/ros-planning/moveit/issues/2004>)
  * [maint] export  moveit_py_bindings_tools library (ros-planning:moveit#1970 <https://github.com/ros-planning/moveit/issues/1970>)
  * [maint] Fix usage of panda_moveit_config (ros-planning:moveit#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (ros-planning:moveit#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix typo in cmake file (ros-planning:moveit#1857 <https://github.com/ros-planning/moveit/issues/1857>)
  * [maint] Reduce console output warnings (ros-planning:moveit#1845 <https://github.com/ros-planning/moveit/issues/1845>)
  * [maint] Switch from include guards to pragma once (ros-planning:moveit#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (ros-planning:moveit#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [maint] improve [get|set]JointValueTarget in python wrapper (ros-planning:moveit#858 <https://github.com/ros-planning/moveit/issues/858>)
  * [maint] moveit_commander.MoveGroupInterface.plan() to better align with C++ MoveGroup::plan() (ros-planning:moveit#790 <https://github.com/ros-planning/moveit/issues/790>)
  * Contributors: AndyZe, Ayush Garg, Bence Magyar, Bjar Ne, Dave Coleman, Felix von Drigalski, Gerard Canal, Guilhem Saurel, Henning Kayser, Jafar Abdi, JafarAbdi, Jere Liukkonen, Jonathan Binney, Kunal Tyagi, Luca Rinelli, Mahmoud Ahmed Selim, Markus Vieth, Martin Pecka, Masaki Murooka, Michael Ferguson, Michael Görner, Niklas Fiedler, Robert Haschke, Ryosuke Tajima, Sean Yen, Tyler Weaver, Yeshwanth, Yu, Yan, mvieth, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Sep 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.0.6-1bookworm) bookworm; urgency=high

  * [maint]   Adapt repository for splitted moveit_resources layout (ros-planning:moveit#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10, Fix warnings
  * [maint]   Optimize includes (ros-planning:moveit#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [feature] Exposed parameter wait_for_servers and getPlannerId() API in MoveGroup's Python API (ros-planning:moveit#2201 <https://github.com/ros-planning/moveit/issues/2201>)
  * Contributors: Gerard Canal, Markus Vieth, Robert Haschke, Michael Görner

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 18 Aug 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.0.5-1bookworm) bookworm; urgency=high

  * [maint]   Remove dependency on panda_moveit_config (ros-planning:moveit#2194 <https://github.com/ros-planning/moveit/issues/2194>`_, ros-planning:moveit#2197 <https://github.com/ros-planning/moveit/issues/2197>`_)
  * [maint]   Adapt linking to eigenpy (ros-planning:moveit#2118 <https://github.com/ros-planning/moveit/issues/2118>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (ros-planning:moveit#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [feature] PlanningComponent: Load plan_request_params (ros-planning:moveit#2033 <https://github.com/ros-planning/moveit/issues/2033>)
  * [feature] MoveItCpp: a high-level C++ planning API (ros-planning:moveit#1656 <https://github.com/ros-planning/moveit/issues/1656>)
  * [fix]     Validate action client pointer before access
  * [fix]     Wait and check for the grasp service
  * [maint]   Add tests for move_group interface (ros-planning:moveit#1995 <https://github.com/ros-planning/moveit/issues/1995>)
  * Contributors: AndyZe, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver, Yeshwanth

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 07 Jul 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.0.4-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 29 May 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.0.3-1bookworm) bookworm; urgency=high

  * [feature] MoveGroupInterface: Add execution methods for moveit_msgs::RobotTrajectory (ros-planning:moveit#1955 <https://github.com/ros-planning/moveit/issues/1955>)
  * [feature] Allow to instantiate a PlanningSceneInterface w/ and w/o a running move_group node
  * [fix]     Release Python GIL for C++ calls (ros-planning:moveit#1947 <https://github.com/ros-planning/moveit/issues/1947>)
  * [feature] Expose reference_point_position parameter in getJacobian() (ros-planning:moveit#1595 <https://github.com/ros-planning/moveit/issues/1595>)
  * [feature] MoveGroupInterface: Expose constructPickGoal and constructPlaceGoal (ros-planning:moveit#1498 <https://github.com/ros-planning/moveit/issues/1498>)
  * [feature] python MoveGroupInterface: Added custom time limit for wait_for_servers() (ros-planning:moveit#1444 <https://github.com/ros-planning/moveit/issues/1444>)
  * [maint]   Apply clang-tidy fix to entire code base (ros-planning:moveit#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (ros-planning:moveit#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (ros-planning:moveit#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [feature] Export moveit_py_bindings_tools library
  * [maint]   Fix various build issues on Windows
    * Use .pyd as the output suffix for Python module on Windows. (ros-planning:moveit#1637 <https://github.com/ros-planning/moveit/issues/1637>)
    * Favor ros::Duration.sleep over sleep. (ros-planning:moveit#1634 <https://github.com/ros-planning/moveit/issues/1634>)
    * Fix binary artifact install locations. (ros-planning:moveit#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (ros-planning:moveit#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint]   Updated deprecation method: MOVEIT_DEPRECATED -> [[deprecated]] (ros-planning:moveit#1748 <https://github.com/ros-planning/moveit/issues/1748>)
  * [maint]   eigenpy: switched to system package (ros-planning:moveit#1737 <https://github.com/ros-planning/moveit/issues/1737>)
  * [featue]  PlanningSceneInterface: wait for its two services
  * [feature] Select time parametrization algorithm in retime_trajectory (ros-planning:moveit#1508 <https://github.com/ros-planning/moveit/issues/1508>)
  * Contributors: Bjar Ne, Felix von Drigalski, Kunal Tyagi, Luca Rinelli, Masaki Murooka, Michael Görner, Niklas Fiedler, Robert Haschke, Sean Yen, Yu, Yan, mvieth, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 25 Apr 2020 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.0.2-1bookworm) bookworm; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (ros-planning:moveit#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 27 Jun 2019 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.0.1-1bookworm) bookworm; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (ros-planning:moveit#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Mar 2019 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (1.0.0-1bookworm) bookworm; urgency=high

  * [fix] catkin_lint issues (ros-planning:moveit#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and ros-planning:moveit#attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. ros-planning:moveit#1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Dave Coleman, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 23 Feb 2019 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.8-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Dec 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.7-1bookworm) bookworm; urgency=high

  * [fix] Fixed destruction order of shared tf2::Buffer / tf2::TransformListener (ros-planning:moveit#1261 <https://github.com/ros-planning/moveit/pull/1261>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Dec 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.6-1bookworm) bookworm; urgency=high

  * [fix] Fixed various memory leaks (ros-planning:moveit#1104 <https://github.com/ros-planning/moveit/issues/1104>)
    * SharedStorage: Use weak_ptrs for caching
  * [enhancement] Add getMoveGroupClient() to move_group_interface (ros-planning:moveit#1215 <https://github.com/ros-planning/moveit/issues/1215>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (ros-planning:moveit#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Remove deprecated MoveGroup class (ros-planning:moveit#1211 <https://github.com/ros-planning/moveit/issues/1211>)
  * [maintenance] Use C++14 (ros-planning:moveit#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Code Cleanup
    * ros-planning:moveit#1179 <https://github.com/ros-planning/moveit/issues/1179>
    * ros-planning:moveit#1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Martin Günther, Michael Görner, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 08 Dec 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.5-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 31 Oct 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.4-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 28 Oct 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.3-1bookworm) bookworm; urgency=high

  * [capability] Get available planning group names from MoveGroup C++ (ros-planning:moveit#1159 <https://github.com/ros-planning/moveit/issues/1159>)
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 28 Oct 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.2-1bookworm) bookworm; urgency=high

  * [capability] Added plan_only flags to pick and place (ros-planning:moveit#862 <https://github.com/ros-planning/moveit/issues/862>)
  * [maintenance] Python3 support (ros-planning:moveit#1103 <https://github.com/ros-planning/moveit/issues/1103>, ros-planning:moveit#1054 <https://github.com/ros-planning/moveit/issues/1054>)
  * [fix] optional namespace args (ros-planning:moveit#929 <https://github.com/ros-planning/moveit/issues/929>)
  * Contributors: David Watkins, Michael Görner, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 23 Oct 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.10.1-1bookworm) bookworm; urgency=high

  * [maintenance] Remove deprecated ExecuteTrajectoryServiceCapability (ros-planning:moveit#833 <https://github.com/ros-planning/moveit/issues/833>)
  * [maintenance] migration from tf to tf2 API (ros-planning:moveit#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [maintenance] switch to ROS_LOGGER from CONSOLE_BRIDGE (ros-planning:moveit#874 <https://github.com/ros-planning/moveit/issues/874>)
  * [capability] namespace to moveit_commander (ros-planning:moveit#835 <https://github.com/ros-planning/moveit/issues/835>)
  * Constrained Cartesian planning using moveit commander (ros-planning:moveit#805 <https://github.com/ros-planning/moveit/issues/805>)
  * Simplify adding CollisionObjects with colors (ros-planning:moveit#810 <https://github.com/ros-planning/moveit/issues/810>)
  * support TrajectoryConstraints in MoveGroupInterface + MoveitCommander (ros-planning:moveit#793 <https://github.com/ros-planning/moveit/issues/793>)
  * Add API to get planner_id (ros-planning:moveit#788 <https://github.com/ros-planning/moveit/issues/788>)
  * Allow wait time to be specified for getCurrentState() (ros-planning:moveit#685 <https://github.com/ros-planning/moveit/issues/685>)
  * Contributors: 2scholz, Akiyoshi Ochiai, Bence Magyar, Dave Coleman, Ian McMahon, Robert Haschke, Will Baker, Xiaojian Ma, srsidd

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 24 May 2018 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.11-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Dec 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.10-1bookworm) bookworm; urgency=high

  * [fix] MoveGroupInterface: Fixed computeCartesianPath to use selected end-effector. (ros-planning:moveit#580 <https://github.com/ros-planning/moveit/issues/580>)
  * [capability][kinetic onward] Adapt pick pipeline to function without object (ros-planning:moveit#599 <https://github.com/ros-planning/moveit/issues/599>)
  * [improve] Disabled copy constructors and added a move constructor to MoveGroupInterface (ros-planning:moveit#664 <https://github.com/ros-planning/moveit/issues/664>)
  * Contributors: 2scholz, Dennis Hartmann, Jonathan Meyer, Simon Schmeisser

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Dec 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.9-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 05 Aug 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.8-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Jun 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.7-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 04 Jun 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.6-1bookworm) bookworm; urgency=high

  * [improve] MoveGroupInterface: add public interface to construct the MotionPlanRequest (ros-planning:moveit#461 <https://github.com/ros-planning/moveit/issues/461>)
  * Contributors: Michael Goerner

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 11 Apr 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.5-1bookworm) bookworm; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error ros-planning:moveit#423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (ros-planning:moveit#445 <https://github.com/ros-planning/moveit/issues/445>)
  * [enhancement][MoveGroup] Add getLinkNames function (ros-planning:moveit#440 <https://github.com/ros-planning/moveit/issues/440>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 07 Mar 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.4-1bookworm) bookworm; urgency=high

  * [fix] move_group.cpp: seg fault bug (ros-planning:moveit#426 <https://github.com/ros-planning/moveit/issues/426>)
  * [fix] mgi: show correct include path in doxygen (ros-planning:moveit#419 <https://github.com/ros-planning/moveit/issues/419>)
  * [fix] fix race conditions when updating PlanningScene (ros-planning:moveit#350 <https://github.com/ros-planning/moveit/issues/350>)
  * [fix] issue ros-planning:moveit#373 <https://github.com/ros-planning/moveit/issues/373> for Kinetic (ros-planning:moveit#377 <https://github.com/ros-planning/moveit/issues/377>) (ros-planning:moveit#385 <https://github.com/ros-planning/moveit/issues/385>)
  * [capability] PSI: add apply* functions that use ApplyPlanningScene.srv (ros-planning:moveit#381 <https://github.com/ros-planning/moveit/issues/381>)
  * [maintenance] Fix test file issues (ros-planning:moveit#415 <https://github.com/ros-planning/moveit/pull/415>, ros-planning:moveit#412 <https://github.com/ros-planning/moveit/issues/412>)
  * [maintenance] clang-format upgraded to 3.8 (ros-planning:moveit#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Bastian Gaspers, Dave Coleman, Isaac I.Y. Saito, Jorge Santos Simon, Michael Goerner, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 05 Feb 2017 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.9.3-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 15 Nov 2016 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.6.6-1bookworm) bookworm; urgency=high

  * replaced cmake_modules dependency with eigen
  * [jade] eigen3 adjustment
  * merge indigo-devel changes (PR ros-planning:moveit-ros#633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * planning_interface::MoveGroup::get/setPlannerParams
  * new method MoveGroup::getDefaultPlannerId(const std::string &group)
    ... to retrieve default planner config from param server
    moved corresponding code from rviz plugin to MoveGroup interface
    to facilitate re-use
  * fixing conflicts, renaming variable
  * Merge pull request ros-planning:moveit-ros#589 <https://github.com/ros-planning/moveit_ros/issues/589> from MichaelStevens/set_num_planning_attempts
    adding set_num_planning_attempts to python interface
  * comments addressed
  * Added python wrapper for setMaxVelocityScalingFactor
  * saves robot name to db from moveit. also robot name accessible through robot interface python wrapper
  * adding set_num_planning_attempts to python interface
  * Merge pull request ros-planning:moveit-ros#571 <https://github.com/ros-planning/moveit_ros/issues/571> from ymollard/indigo-devel
    Added python wrapper for MoveGroup.asyncExecute()
  * Added python wrapper for MoveGroup.asyncExecute()
  * Add retime_trajectory to moveit python wrapper
  * add getHandle to move_group_interface
  * Updated documentation on move() to inform the user that an asynchronus spinner is required. Commonly new users don't do this and move() blocks permanently
  * Contributors: Dave Coleman, Dave Hershberger, Isaac I.Y. Saito, Kei Okada, Michael Stevens, Robert Haschke, Sachin Chitta, Scott, Yoan Mollard, dg, ferherranz

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 07 Jun 2016 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.6.5-1bookworm) bookworm; urgency=high

  * update maintainers
  * Add time factor support for iterative_time_parametrization
  * Contributors: Michael Ferguson, kohlbrecher

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 23 Jan 2015 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.6.4-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 19 Dec 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.6.3-1bookworm) bookworm; urgency=high

  * include correct ``boost::*_ptr`` class for boost 1.57.
  * Contributors: v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 02 Dec 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.6.2-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 30 Oct 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.6.1-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 30 Oct 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.6.0-1bookworm) bookworm; urgency=high

  * Add missing variants of place (PlaceLocation, place anywhere) for python interface
  * Python wrapper for getEndEffectorTips()
  * Contributors: Dave Coleman, Sachin Chitta, corot

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 26 Oct 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.19-1bookworm) bookworm; urgency=high

  * Add check for planning scene monitor connection, with 5 sec delay
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 22 Jun 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.18-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 Mar 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.17-1bookworm) bookworm; urgency=high

  * update build system for ROS indigo
  * added move_group python interface bindings to move group interface
    function:
    void setPathConstraints(const moveit_msgs::Constraint &constraint)
    in order to be able to set path constraints from python scripts
    directly and no need to use the DB.
  * Use member NodeHandle in action clients.
    Currently services and topics are already using the member NodeHandle instance,
    but not the action clients.
    This is relevant for two reasons:
    - Consistency in the resulting ROS API namespace (everything in the same namespace).
    - Consistency in the spinning policy. All services, topics and actions will be spinned
    by the same NodeHandle, and whatever custom (or not) spinners and callback queues it
    has associated.
  * adding error code returns to relevant functions
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Emili Boronat, Ioan A Sucan, Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 Mar 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.16-1bookworm) bookworm; urgency=high

  * adding node handle to options in move_group_interface
  * adding get for active joints
  * Contributors: Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 26 Feb 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.14-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 05 Feb 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.13-1bookworm) bookworm; urgency=high

  * add API for setting the number of motion plans to be evaluated via the MoveGroupInterface
  * move_group_interface: improve documentation
  * Contributors: Acorn Pooley, Ioan Sucan

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 05 Feb 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.12-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 02 Jan 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.11-1bookworm) bookworm; urgency=high

  * Fixed bug in computeCartesianPathPython.
  * Adding collision object interface to planning_scene interface.
  * Contributors: Acorn Pooley, Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 02 Jan 2014 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.10-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 07 Dec 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.9-1bookworm) bookworm; urgency=high

  * Fixed doxygen function-grouping.
  * Added planning feedback to gui, refactored states tab

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 02 Dec 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.8-1bookworm) bookworm; urgency=high

  * add function to start state monitor in move_group_interface::MoveGroup

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 10 Oct 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.7-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 Sep 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.6-1bookworm) bookworm; urgency=high

  * update planning options

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 Sep 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.5-1bookworm) bookworm; urgency=high

  * add support for setting joint targets from approximate IK
  * specifies python version 2.7 for linking (fixes ros-planning:moveit-ros#302 <https://github.com/ros-planning/moveit_ros/issues/302>)
  * use new messages for pick & place
  * expand functionality of MoveGroupInterface
  * porting to new RobotState API

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 22 Sep 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.4-1bookworm) bookworm; urgency=high

  * make pick more general
  * use message serialization for python bindings
  * remove CollisionMap, expose topic names in PlanningSceneMonitor, implement detach / attach operations as requested by ros-planning:moveit-ros#280 <https://github.com/ros-planning/moveit_ros/issues/280>
  * make headers and author definitions aligned the same way; white space fixes

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Aug 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.2-1bookworm) bookworm; urgency=high

  * move msgs to common_msgs

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 14 Jul 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.1-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 13 Jul 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.5.0-1bookworm) bookworm; urgency=high

  * white space fixes (tabs are now spaces)

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 11 Jul 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.4.5-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 02 Jul 2013 16:00:00 -0000

ros-humble-moveit-ros-planning-interface (0.4.4-1bookworm) bookworm; urgency=high

  * some refactoring

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 25 Jun 2013 16:00:00 -0000


